#TODO: BR: perl(Test::CheckManifest) ≥ 1.24 when available

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

Name:		perl-Software-License-CCpack
Version:	1.01
Release:	3%{?dist}
Summary:	Software::License pack for Creative Commons' licenses
License:	LGPLv3
URL:		http://search.cpan.org/dist/Software-License-CCpack/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BB/BBYRD/Software-License-CCpack-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl >= 4:5.10.1
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Software::License)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Test::CheckDeps) >= 0.007
BuildRequires:	perl(Test::More) >= 0.94
# Extra Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::DistManifest)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Synopsis)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This "license pack" contains all of the licenses from Creative Commons, except
for CC0, which is already included in Software::License.

Note that I don't recommend using these licenses for your own CPAN modules
(most of the licenses aren't even compatible with CPAN). However, S:L modules
are useful for more than mere CPAN::Meta::license declaration, so these modules
exist for those other purposes.

%prep
%setup -q -n Software-License-CCpack-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))" RELEASE_TESTING=1

%files
%license LICENSE
%doc README
%{perl_vendorlib}/Software/
%{_mandir}/man3/Software::License::CCpack.3*
%{_mandir}/man3/Software::License::CC_BY_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_ND_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_3_0.3*
%{_mandir}/man3/Software::License::CC_PDM_1_0.3*

%changelog
* Tue Oct  7 2014 Paul Howarth <paul@city-fan.org> - 1.01-3
- Skip the CHANGES file until such time as it has some content (#1148040)

* Tue Sep 30 2014 Paul Howarth <paul@city-fan.org> - 1.01-2
- Sanitize for Fedora submission

* Mon Sep 29 2014 Paul Howarth <paul@city-fan.org> - 1.01-1
- Initial RPM version
